import request from '@/utils/request'

// 查询数据交换业务域列表
export function listBiz(query) {
  return request({
    url: '/gx/biz/list',
    method: 'get',
    params: query
  })
}

// 查询数据交换业务域详细
export function getBiz(id) {
  return request({
    url: '/gx/biz/' + id,
    method: 'get'
  })
}

// 新增数据交换业务域
export function addBiz(data) {
  return request({
    url: '/gx/biz',
    method: 'post',
    data: data
  })
}

// 修改数据交换业务域
export function updateBiz(data) {
  return request({
    url: '/gx/biz',
    method: 'put',
    data: data
  })
}

// 删除数据交换业务域
export function delBiz(id) {
  return request({
    url: '/gx/biz/' + id,
    method: 'delete'
  })
}
